﻿using System;
using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using SimpleJSON;
using MeshVR;

namespace Feel
{
	public class FeelSupport : MVRScript {

        public override void Init() {
			try {

                // A tiny bit of help to give some info to your fellow creator and/or player
                JSONStorableString helpText = new JSONStorableString("About",
                    "<color=#000><size=35><b>Feel Support</b></size></color>\n\n" +
                    "<color=#333>" +
                    "thank you for your support\n" +
                    "<b>https://www.patreon.com/feel_vam</b>\n\n" +
                    "</color>");
                UIDynamic helpTextfield = CreateTextField(helpText, true);
                helpTextfield.height = 300.0f;

                var btn1 = CreateButton("To Visit", true);
                btn1.button.onClick.AddListener(() =>
                {
                    SetToVisit();
                });

                var btn2 = CreateButton("View Works", true);
                btn2.button.onClick.AddListener(() =>
                {
                    SetViewWork();
                });

                JSONStorableAction visit_action = new JSONStorableAction("ToVisit", SetToVisit);
                RegisterAction(visit_action);

                JSONStorableAction works_action = new JSONStorableAction("SetView", SetViewWork);
                RegisterAction(works_action);

            }
            catch (Exception e) {
                SuperController.LogError("Exception caught: " + e);
            }
		}

        private void SetToVisit()
        {
            Application.OpenURL("https://www.patreon.com/feel_vam");
        }

        private void SetViewWork()
        {
            SuperController.singleton.hubBrowser.CreatorFilter = "Feel";
            SuperController.singleton.hubBrowser.CategoryFilter = "All";
            SuperController.singleton.hubBrowser.PayTypeFilter = "All";
            SuperController.singleton.hubBrowser.SearchFilter = "";
            SuperController.singleton.hubBrowser.Show();
        }

    }
}